Index: /quintagroup.quills.extras/trunk/README.txt
===================================================================
--- /quintagroup.quills.extras/trunk/README.txt	(revision 538)
+++ /quintagroup.quills.extras/trunk/README.txt	(revision 538)
@@ -0,0 +1,4 @@
+Introduction
+============
+
+
Index: /quintagroup.quills.extras/trunk/docs/HISTORY.txt
===================================================================
--- /quintagroup.quills.extras/trunk/docs/HISTORY.txt	(revision 538)
+++ /quintagroup.quills.extras/trunk/docs/HISTORY.txt	(revision 538)
@@ -0,0 +1,8 @@
+Changelog
+=========
+
+1.0 - Unreleased
+----------------
+
+* Initial release
+
Index: /quintagroup.quills.extras/trunk/docs/INSTALL.txt
===================================================================
--- /quintagroup.quills.extras/trunk/docs/INSTALL.txt	(revision 538)
+++ /quintagroup.quills.extras/trunk/docs/INSTALL.txt	(revision 538)
@@ -0,0 +1,40 @@
+quintagroup.quills.extras Installation
+=======================
+
+ * When you're reading this you have probably already run
+   ``easy_install quintagroup.quills.extras``. Find out how to install setuptools
+   (and EasyInstall) here:
+   http://peak.telecommunity.com/DevCenter/EasyInstall
+
+ * Create a file called ``quintagroup.quills.extras-configure.zcml`` in the
+   ``/path/to/instance/etc/package-includes`` directory.  The file
+   should only contain this::
+
+       <include package="quintagroup.quills.extras" />
+
+
+Alternatively, if you are using zc.buildout and the plone.recipe.zope2instance
+recipe to manage your project, you can do this:
+
+ * Add ``quintagroup.quills.extras`` to the list of eggs to install, e.g.:
+
+    [buildout]
+    ...
+    eggs =
+        ...
+        quintagroup.quills.extras
+
+  * Tell the plone.recipe.zope2instance recipe to install a ZCML slug:
+
+    [instance]
+    recipe = plone.recipe.zope2instance
+    ...
+    zcml =
+        quintagroup.quills.extras
+
+  * Re-run buildout, e.g. with:
+
+    $ ./bin/buildout
+
+You can skip the ZCML slug if you are going to explicitly include the package
+from another package's configure.zcml file.
Index: /quintagroup.quills.extras/trunk/docs/LICENSE.GPL
===================================================================
--- /quintagroup.quills.extras/trunk/docs/LICENSE.GPL	(revision 538)
+++ /quintagroup.quills.extras/trunk/docs/LICENSE.GPL	(revision 538)
@@ -0,0 +1,225 @@
+		    GNU GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License applies to any program or other work which contains
+a notice placed by the copyright holder saying it may be distributed
+under the terms of this General Public License.  The "Program", below,
+refers to any such program or work, and a "work based on the Program"
+means either the Program or any derivative work under copyright law:
+that is to say, a work containing the Program or a portion of it,
+either verbatim or with modifications and/or translated into another
+language.  (Hereinafter, translation is included without limitation in
+the term "modification".)  Each licensee is addressed as "you".
+
+Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running the Program is not restricted, and the output from the Program
+is covered only if its contents constitute a work based on the
+Program (independent of having been made by running the Program).
+Whether that is true depends on what the Program does.
+
+  1. You may copy and distribute verbatim copies of the Program's
+source code as you receive it, in any medium, provided that you
+conspicuously and appropriately publish on each copy an appropriate
+copyright notice and disclaimer of warranty; keep intact all the
+notices that refer to this License and to the absence of any warranty;
+and give any other recipients of the Program a copy of this License
+along with the Program.
+
+You may charge a fee for the physical act of transferring a copy, and
+you may at your option offer warranty protection in exchange for a fee.
+
+  2. You may modify your copy or copies of the Program or any portion
+of it, thus forming a work based on the Program, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) You must cause the modified files to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    b) You must cause any work that you distribute or publish, that in
+    whole or in part contains or is derived from the Program or any
+    part thereof, to be licensed as a whole at no charge to all third
+    parties under the terms of this License.
+
+    c) If the modified program normally reads commands interactively
+    when run, you must cause it, when started running for such
+    interactive use in the most ordinary way, to print or display an
+    announcement including an appropriate copyright notice and a
+    notice that there is no warranty (or else, saying that you provide
+    a warranty) and that users may redistribute the program under
+    these conditions, and telling the user how to view a copy of this
+    License.  (Exception: if the Program itself is interactive but
+    does not normally print such an announcement, your work based on
+    the Program is not required to print an announcement.)
+
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Program,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Program, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Program.
+
+In addition, mere aggregation of another work not based on the Program
+with the Program (or with a work based on the Program) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may copy and distribute the Program (or a work based on it,
+under Section 2) in object code or executable form under the terms of
+Sections 1 and 2 above provided that you also do one of the following:
+
+    a) Accompany it with the complete corresponding machine-readable
+    source code, which must be distributed under the terms of Sections
+    1 and 2 above on a medium customarily used for software interchange; or,
+
+    b) Accompany it with a written offer, valid for at least three
+    years, to give any third party, for a charge no more than your
+    cost of physically performing source distribution, a complete
+    machine-readable copy of the corresponding source code, to be
+    distributed under the terms of Sections 1 and 2 above on a medium
+    customarily used for software interchange; or,
+
+    c) Accompany it with the information you received as to the offer
+    to distribute corresponding source code.  (This alternative is
+    allowed only for noncommercial distribution and only if you
+    received the program in object code or executable form with such
+    an offer, in accord with Subsection b above.)
+
+The source code for a work means the preferred form of the work for
+making modifications to it.  For an executable work, complete source
+code means all the source code for all modules it contains, plus any
+associated interface definition files, plus the scripts used to
+control compilation and installation of the executable.  However, as a
+special exception, the source code distributed need not include
+anything that is normally distributed (in either source or binary
+form) with the major components (compiler, kernel, and so on) of the
+operating system on which the executable runs, unless that component
+itself accompanies the executable.
+
+If distribution of executable or object code is made by offering
+access to copy from a designated place, then offering equivalent
+access to copy the source code from the same place counts as
+distribution of the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+
+  4. You may not copy, modify, sublicense, or distribute the Program
+except as expressly provided under this License.  Any attempt
+otherwise to copy, modify, sublicense or distribute the Program is
+void, and will automatically terminate your rights under this License.
+However, parties who have received copies, or rights, from you under
+this License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+  5. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Program or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Program (or any work based on the
+Program), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Program or works based on it.
+
+  6. Each time you redistribute the Program (or any work based on the
+Program), the recipient automatically receives a license from the
+original licensor to copy, distribute or modify the Program subject to
+these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties to
+this License.
+
+  7. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Program at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Program by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Program.
+
+If any portion of this section is held invalid or unenforceable under
+any particular circumstance, the balance of the section is intended to
+apply and the section as a whole is intended to apply in other
+circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system, which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+
+  8. If the distribution and/or use of the Program is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Program under this License
+may add an explicit geographical distribution limitation excluding
+those countries, so that distribution is permitted only in or among
+countries not thus excluded.  In such case, this License incorporates
+the limitation as if written in the body of this License.
+
+  9. The Free Software Foundation may publish revised and/or new versions
+of the General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Program
+specifies a version number of this License which applies to it and "any
+later version", you have the option of following the terms and conditions
+either of that version or of any later version published by the Free
+Software Foundation.  If the Program does not specify a version number of
+this License, you may choose any version ever published by the Free Software
+Foundation.
+
+  10. If you wish to incorporate parts of the Program into other free
+programs whose distribution conditions are different, write to the author
+to ask for permission.  For software which is copyrighted by the Free
+Software Foundation, write to the Free Software Foundation; we sometimes
+make exceptions for this.  Our decision will be guided by the two goals
+of preserving the free status of all derivatives of our free software and
+of promoting the sharing and reuse of software generally.
+
+			    NO WARRANTY
+
+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+REPAIR OR CORRECTION.
+
+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGES.
+
+		     END OF TERMS AND CONDITIONS
Index: /quintagroup.quills.extras/trunk/docs/LICENSE.txt
===================================================================
--- /quintagroup.quills.extras/trunk/docs/LICENSE.txt	(revision 538)
+++ /quintagroup.quills.extras/trunk/docs/LICENSE.txt	(revision 538)
@@ -0,0 +1,16 @@
+  quintagroup.quills.extras is copyright Quintagroup
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License
+  along with this program; if not, write to the Free Software
+  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
+  MA 02111-1307 USA.
Index: /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/PKG-INFO
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/PKG-INFO	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/PKG-INFO	(revision 538)
@@ -0,0 +1,27 @@
+Metadata-Version: 1.0
+Name: quintagroup.quills.extras
+Version: 1.0dev
+Summary: Quintagroup products integration with quills
+Home-page: http://svn.quintagroup.com/products/quintagroup.quills.extras
+Author: Quintagroup
+Author-email: support@quintagroup.com
+License: GPL
+Description: Introduction
+        ============
+        
+        
+        
+        Changelog
+        =========
+        
+        1.0 - Unreleased
+        ----------------
+        
+        * Initial release
+        
+        
+Keywords: quills quintagroup
+Platform: UNKNOWN
+Classifier: Framework :: Plone
+Classifier: Programming Language :: Python
+Classifier: Topic :: Software Development :: Libraries :: Python Modules
Index: /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/SOURCES.txt
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/SOURCES.txt	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/SOURCES.txt	(revision 538)
@@ -0,0 +1,15 @@
+README.txt
+setup.cfg
+setup.py
+quintagroup/__init__.py
+quintagroup.quills.extras.egg-info/PKG-INFO
+quintagroup.quills.extras.egg-info/SOURCES.txt
+quintagroup.quills.extras.egg-info/dependency_links.txt
+quintagroup.quills.extras.egg-info/entry_points.txt
+quintagroup.quills.extras.egg-info/namespace_packages.txt
+quintagroup.quills.extras.egg-info/not-zip-safe
+quintagroup.quills.extras.egg-info/requires.txt
+quintagroup.quills.extras.egg-info/top_level.txt
+quintagroup/quills/__init__.py
+quintagroup/quills/extras/__init__.py
+quintagroup/quills/extras/tests.py
Index: /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/dependency_links.txt
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/dependency_links.txt	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/dependency_links.txt	(revision 538)
@@ -0,0 +1,1 @@
+
Index: /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/entry_points.txt
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/entry_points.txt	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/entry_points.txt	(revision 538)
@@ -0,0 +1,3 @@
+
+      # -*- Entry points: -*-
+      
Index: /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/namespace_packages.txt
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/namespace_packages.txt	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/namespace_packages.txt	(revision 538)
@@ -0,0 +1,2 @@
+quintagroup
+quintagroup.quills
Index: /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/not-zip-safe
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/not-zip-safe	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/not-zip-safe	(revision 538)
@@ -0,0 +1,1 @@
+
Index: /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/paster_plugins.txt
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/paster_plugins.txt	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/paster_plugins.txt	(revision 538)
@@ -0,0 +1,2 @@
+ZopeSkel
+PasteScript
Index: /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/requires.txt
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/requires.txt	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/requires.txt	(revision 538)
@@ -0,0 +1,1 @@
+setuptools
Index: /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/top_level.txt
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/top_level.txt	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup.quills.extras.egg-info/top_level.txt	(revision 538)
@@ -0,0 +1,1 @@
+quintagroup
Index: /quintagroup.quills.extras/trunk/quintagroup/__init__.py
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/__init__.py	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup/__init__.py	(revision 538)
@@ -0,0 +1,6 @@
+# See http://peak.telecommunity.com/DevCenter/setuptools#namespace-packages
+try:
+    __import__('pkg_resources').declare_namespace(__name__)
+except ImportError:
+    from pkgutil import extend_path
+    __path__ = extend_path(__path__, __name__)
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/__init__.py
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/__init__.py	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/__init__.py	(revision 538)
@@ -0,0 +1,6 @@
+# See http://peak.telecommunity.com/DevCenter/setuptools#namespace-packages
+try:
+    __import__('pkg_resources').declare_namespace(__name__)
+except ImportError:
+    from pkgutil import extend_path
+    __path__ = extend_path(__path__, __name__)
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/__init__.py
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/__init__.py	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/__init__.py	(revision 538)
@@ -0,0 +1,1 @@
+
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/__init__.py
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/__init__.py	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/__init__.py	(revision 538)
@@ -0,0 +1,1 @@
+#
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/commentViews.py
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/commentViews.py	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/commentViews.py	(revision 538)
@@ -0,0 +1,100 @@
+from controllerView import FormControllerView, getToolByName
+from quills.app.utilities import talkbackURL
+
+class ManageCommentsView(FormControllerView):
+    """ The view class for the comments management form """
+    
+    def __init__(self, context, request):
+        super(ManageCommentsView, self).__init__(context, request)
+
+        self.form_submitted = bool(request.get('form.submitted'))
+        if bool(request.get('form.button.Delete')):
+            self.mode = "delete"
+        elif bool(request.get('form.button.Update')):
+            self.mode = "update"
+        elif bool(request.get('form.button.ResetFilter')):
+            self.mode = "reset"
+        elif bool(request.get('form.button.Publish')):
+            self.mode = "publish"
+        else:
+            self.mode = 'display'
+
+        self.author = request.get('form.field.author', '')
+        self.subject = request.get('form.field.subject', '')
+        self.review_state = request.get('form.field.review_state', '')
+        self.selected_comments = request.get('selected_comments', [])
+        self.portal_catalog = getToolByName(self.context,'portal_catalog')
+
+        self.contentFilter = {
+            'portal_type' : 'Discussion Item', 
+            'sort_on' : 'created', 
+            'sort_order' : 'reverse',
+            'path' : {'query' : '/'.join(self.context.getPhysicalPath()),}
+        }
+
+        self.filtered = False
+        if self.mode in ['delete', 'display', 'update']:
+            if self.author:
+                self.contentFilter['Creator'] = self.author
+                self.filtered = True
+            if self.subject:
+                self.contentFilter['Title'] = self.subject
+                self.filtered = True
+            if self.review_state == 'private':
+	            self.contentFilter['review_state'] = 'private'
+	            self.filtered = True
+        if self.mode == "display":
+            self.getComments()
+
+    def validate(self):
+        """ performs validation and returns an errors dictionary """
+        errors = {}
+        if self.mode=='delete':
+            if self.selected_comments == []:
+                errors['status'] = 'failure'    # errors must not be empty...            
+                self.setMessage('You must select at least one comment for deletion.')
+                self.getComments()
+        return errors
+
+    def control(self):
+        """ performs the actions after a successful validation possibly
+            returning an errors dictionary """
+
+        if self.mode == "update":
+            self.setMessage('Filter applied.')
+        elif self.mode == "reset":
+            self.setMessage('Filter reset.')
+            self.author = None
+            self.subject = None
+            self.review_state = None
+        elif self.mode == "delete":
+            discussion_tool = getToolByName(self.context, 'portal_discussion')
+            for path in self.selected_comments:
+                self.deleteReply(discussion_tool, self.portal_catalog, path)
+            self.setMessage('%s comments have been deleted.' % str(len(self.selected_comments)))
+        elif self.mode == 'publish':
+			discussion_tool = getToolByName(self.context, 'portal_discussion')
+	        for path in self.selected_comments:
+		    	self. publishReply(discussion_tool, self.portal_catalog, path)
+		    self.setMessage('%s comments have been published.' % str(len(self.selected_comments)))
+        self.getComments()
+        return {}
+            
+    def deleteReply(self, dtool, pcatalog, path):
+        discussion_item = pcatalog(path=path)[0].getObject()
+        obj = discussion_item.parentsInThread()[0]
+        discussion = dtool.getDiscussionFor(obj)
+        discussion.deleteReply(discussion_item.getId())
+
+    def publishReply(self, dtool, pcatalog, path):
+	    """"""
+	    pass
+	
+    def getComments(self):
+        self.comment_brains = self.portal_catalog(self.contentFilter)
+        self.num_of_comments = len(self.comment_brains)
+        self.has_comments = self.num_of_comments > 0
+        return self.comment_brains
+
+    def talkbackURL(self, item):
+        return talkbackURL(item)
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/configure.zcml
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/configure.zcml	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/configure.zcml	(revision 538)
@@ -0,0 +1,13 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:browser="http://namespaces.zope.org/browser"
+    i18n_domain="quintagroup.quills.extras">
+
+    <page
+        for="quills.core.interfaces.IWeblog"
+        class=".commentViews.ManageCommentsView"
+        template="manage_comments.pt"
+        permission="cmf.ManagePortal"
+        name="manage_comments" />
+
+</configure>
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/manage_comments.pt
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/manage_comments.pt	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/manage_comments.pt	(revision 538)
@@ -0,0 +1,126 @@
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
+    lang="en"
+    i18n:domain="quills.app"
+    metal:use-macro="here/main_template/macros/master">
+    <body>
+      <div metal:fill-slot="main">
+      <metal:contentsmacro 
+         define-macro="contents"
+         tal:define="errors options/state/getErrors | python: {};">
+         <h1 i18n:translate="manage_comments">
+           Manage Comments
+         </h1>
+         <p class="discreet"
+             i18n:translate="no_comments"
+             tal:condition="not: view/has_comments">
+           There are no comments for Weblog entries.
+         </p>
+         <metal:listing>
+           <div class="visualClear" />
+           <form name="commentsForm"
+             method="post"
+             tal:attributes="action request/ACTUAL_URL">
+             <span i18n:translate="">Author</span>: <input type='text' name='form.field.author' size='10' tal:attributes='value view/author'/>
+             <span i18n:translate="">Subject</span>: <input type='text' name='form.field.subject' size='20' tal:attributes='value view/subject'/>
+             <span i18n:translate="">Review state</span>: 
+             <select name='form.field.review_state'> 
+	          <option value='All' 
+					  tal:attributes="seleted python:selected and view['review_state']=='All' or None"><option/>
+	          <option value='published' 
+	                  tal:attributes="seleted python:selected and view['review_state']=='published' or None">Published<option/>
+	          <option value='private' 
+	                  tal:attributes="seleted python:selected and view['review_state']=='private' or None">Private<option/>
+	         </select>
+               <input class="context"
+                   tabindex=""
+                   type="submit"
+                   name="form.button.Update"
+                   value="Update"
+                   i18n:attributes="value" />
+               <input class="context"
+                   tal:condition="view/filtered"
+                   tabindex=""
+                   type="submit"
+                   name="form.button.ResetFilter"
+                   value="Reset"
+                   i18n:attributes="value" />
+               <input class="context"
+                   tabindex=""
+                   type="submit"
+                   name="form.button.Delete"
+                   value="Delete"
+                   i18n:attributes="value" />
+               <input class="context"
+                tabindex=""
+                   type="submit"
+                   name="form.button.Publish"
+                   value="Publish"
+                   i18n:attributes="value" />
+               <input type="hidden" name="form.submitted" value="1" /> 
+               <table
+                   class="listing"
+                   summary="Comments listing"
+                   tal:condition="view/has_comments">
+                   <thead>
+                       <tr>
+                           <th class="nosort">
+                               <input class="noborder"
+                                   type="checkbox"
+                                   src="select_all_icon.gif"
+                                   name="selectButton"
+                                   title="Select all items"
+                                   onClick="toggleSelect(this,'selected_comments:list');"
+                                   tal:attributes="src string:$portal_url/select_all_icon.gif"
+                                   alt="Select all items"
+                                   i18n:attributes="title label_select_all_items; alt label_select_all_items;"
+                                   />
+                           </th>
+                           <th class="nosort">&nbsp;Date&nbsp;</th>
+                           <th class="nosort">&nbsp;Author&nbsp;</th>
+                           <th class="nosort">&nbsp;Subject&nbsp;</th>
+                       </tr>
+                   </thead>
+
+                   <tbody>
+                       <tal:items tal:repeat="comment view/comment_brains">
+                           <tr tal:define="
+                               comment_id           comment/id;
+                               comment_path         comment/getPath;
+                               comment_url          python:view.talkbackURL(comment);
+                               comment_author       comment/Creator;
+                               comment_subject      comment/Title;
+                               comment_modified     comment/modified;
+                               oddrow               repeat/comment/odd;"
+                               tal:attributes="class python:oddrow and 'even' or 'odd'" >
+
+                               <td>
+                                   <input type="checkbox"
+                                       class="noborder"
+                                       name="selected_comments:list" id="#"
+                                       value="#"
+                                       tal:attributes="
+                                           value   comment_path;
+                                           id      string:cb_$comment_id;
+                                           checked python:request.get('ids_checked', False) and 'checked' or None;
+                                           alt     string:Select $comment_subject;
+                                           title   string:Select $comment_subject;" />
+
+                               </td>
+
+                               <td tal:content="python:here.toLocalizedTime(comment_modified, long_format=1)">
+                                   08/19/2001 03:01 AM
+                               </td>
+                               <td> <a tal:attributes="href comment_url" tal:content="comment_author" /></td>
+                               <td> <a tal:attributes="href comment_url" tal:content="comment_subject" /></td>
+
+                           </tr>
+                       </tal:items>
+                   </tbody>
+               </table>
+             </form>
+           </metal:listing>
+         </metal:contentsmacro>
+      </div>
+    </body>
+</html>
+
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/configure.zcml
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/configure.zcml	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/configure.zcml	(revision 538)
@@ -0,0 +1,7 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:five="http://namespaces.zope.org/five"
+    i18n_domain="quintagroup.quills.extras">
+
+    <include package=".browser" />
+</configure>
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/overrides.zcml
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/overrides.zcml	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/overrides.zcml	(revision 538)
@@ -0,0 +1,6 @@
+<configure
+    xmlns="http://namespaces.zope.org/zope"
+    xmlns:zcml="http://namespaces.zope.org/zcml">
+    <include zcml:condition="installed quills.app"
+             package=".browser" />
+</configure>
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/tests.py
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/tests.py	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/tests.py	(revision 538)
@@ -0,0 +1,54 @@
+import unittest
+
+from zope.testing import doctestunit
+from zope.component import testing
+from Testing import ZopeTestCase as ztc
+
+from Products.Five import zcml
+from Products.Five import fiveconfigure
+from Products.PloneTestCase import PloneTestCase as ptc
+from Products.PloneTestCase.layer import PloneSite
+ptc.setupPloneSite()
+
+import quintagroup.quills.extras
+
+class TestCase(ptc.PloneTestCase):
+    class layer(PloneSite):
+        @classmethod
+        def setUp(cls):
+            fiveconfigure.debug_mode = True
+            zcml.load_config('configure.zcml',
+                             quintagroup.quills.extras)
+            fiveconfigure.debug_mode = False
+
+        @classmethod
+        def tearDown(cls):
+            pass
+
+
+def test_suite():
+    return unittest.TestSuite([
+
+        # Unit tests
+        #doctestunit.DocFileSuite(
+        #    'README.txt', package='quintagroup.quills.extras',
+        #    setUp=testing.setUp, tearDown=testing.tearDown),
+
+        #doctestunit.DocTestSuite(
+        #    module='quintagroup.quills.extras.mymodule',
+        #    setUp=testing.setUp, tearDown=testing.tearDown),
+
+
+        # Integration tests that use PloneTestCase
+        #ztc.ZopeDocFileSuite(
+        #    'README.txt', package='quintagroup.quills.extras',
+        #    test_class=TestCase),
+
+        #ztc.FunctionalDocFileSuite(
+        #    'browser.txt', package='quintagroup.quills.extras',
+        #    test_class=TestCase),
+
+        ])
+
+if __name__ == '__main__':
+    unittest.main(defaultTest='test_suite')
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/version.txt
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/version.txt	(revision 538)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/version.txt	(revision 538)
@@ -0,0 +1,1 @@
+1.0
Index: /quintagroup.quills.extras/trunk/setup.cfg
===================================================================
--- /quintagroup.quills.extras/trunk/setup.cfg	(revision 538)
+++ /quintagroup.quills.extras/trunk/setup.cfg	(revision 538)
@@ -0,0 +1,3 @@
+[egg_info]
+tag_build = dev
+tag_svn_revision = true
Index: /quintagroup.quills.extras/trunk/setup.py
===================================================================
--- /quintagroup.quills.extras/trunk/setup.py	(revision 538)
+++ /quintagroup.quills.extras/trunk/setup.py	(revision 538)
@@ -0,0 +1,33 @@
+from setuptools import setup, find_packages
+import os
+
+version = '1.0'
+
+setup(name='quintagroup.quills.extras',
+      version=version,
+      description="Quintagroup products integration with quills",
+      long_description=open("README.txt").read() + "\n" +
+                       open(os.path.join("docs", "HISTORY.txt")).read(),
+      # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
+      classifiers=[
+        "Framework :: Plone",
+        "Programming Language :: Python",
+        "Topic :: Software Development :: Libraries :: Python Modules",
+        ],
+      keywords='quills quintagroup',
+      author='Quintagroup',
+      author_email='support@quintagroup.com',
+      url='http://svn.quintagroup.com/products/quintagroup.quills.extras',
+      license='GPL',
+      packages=find_packages(exclude=['ez_setup']),
+      namespace_packages=['quintagroup', 'quintagroup.quills'],
+      include_package_data=True,
+      zip_safe=False,
+      install_requires=[
+          'setuptools',
+          # -*- Extra requirements: -*-
+      ],
+      entry_points="""
+      # -*- Entry points: -*-
+      """,
+      )
Index: /quintagroup.quills.extras/trunk/zopeskel.txt
===================================================================
--- /quintagroup.quills.extras/trunk/zopeskel.txt	(revision 538)
+++ /quintagroup.quills.extras/trunk/zopeskel.txt	(revision 538)
@@ -0,0 +1,1 @@
+plone_app