Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/__init__.py
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/__init__.py	(revision 584)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/__init__.py	(revision 585)
@@ -1,1 +1,2 @@
+import weblogfolder_patch, keywords_widget_patch
 
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/configure.zcml
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/configure.zcml	(revision 584)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/configure.zcml	(revision 585)
@@ -17,4 +17,13 @@
         permission="zope.Public"
         />
+        
+   <browser:page
+        for="quills.core.interfaces.IPossibleWeblog"
+        class="Products.QuillsEnabled.browser.weblogview.WeblogView"
+        template="weblogfolder_view.pt"
+        permission="zope2.View"
+        name="weblogfolder_view"
+        allowed_interface="quills.core.browser.interfaces.IWeblogView" />
+
 
     <class class="quills.app.browser.weblogview.WeblogEntryView">
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/weblog_view.pt
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/weblog_view.pt	(revision 584)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/weblog_view.pt	(revision 585)
@@ -4,6 +4,4 @@
       metal:use-macro="here/main_template/macros/master"
       i18n:domain="quills.app">
-
-
   <body>
     <metal:feed fill-slot="head_slot">
@@ -14,16 +12,4 @@
          tal:define="weblog view/getWeblog;
                      weblog_content nocall:context">
-
-      <h1 class="documentFirstHeading"
-          tal:content="weblog_content/title_or_id">
-        Weblog title
-      </h1>
-
-      <p class="documentDescription"
-         tal:content="weblog_content/Description"
-         tal:condition="weblog_content/Description">
-        Weblog Description
-      </p>
-
       <p id="blog-uid"
          class="discreet"
@@ -34,14 +20,10 @@
           following string as id to edit this blog:
         </span>
-        <i tal:content="weblog_content/UID" />
       </p>
-
       <div id="content-weblog">
         <metal:macro use-macro="context/weblog_macros/macros/list-entries"/>
       </div>
-      <div tal:replace="structure provider:plone.belowcontentbody" />
-
+     <div tal:replace="structure provider:plone.belowcontentbody" />
     </div>
-
   </body>
 </html>
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/weblogfolder_view.pt
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/weblogfolder_view.pt	(revision 585)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/browser/weblogfolder_view.pt	(revision 585)
@@ -0,0 +1,30 @@
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US"
+      lang="en-US"
+      xmlns:i18n="http://xml.zope.org/namespaces/i18n"
+      metal:use-macro="here/main_template/macros/master"
+      i18n:domain="quills.app">
+  <body>
+    <metal:feed fill-slot="head_slot">
+         <metal:block metal:use-macro="context/quills_header_macros/macros/feed-links"></metal:block>
+         <metal:block metal:use-macro="context/quills_header_macros/macros/javascripts"></metal:block>
+    </metal:feed>
+    <div metal:fill-slot="main"
+         tal:define="weblog view/getWeblog;
+                     weblog_content nocall:context;
+                     entries python:weblog.getEntries(path = '/'.join(context.getPhysicalPath()))">
+      <p id="blog-uid"
+         class="discreet"
+         tal:define="show_border python:context.showEditableBorder(template_id=template_id, actions=actions );"
+         tal:condition="show_border">
+        <span i18n:translate="weblog_edit_app_note">
+          Note: for some weblog editors you will need to provide the
+          following string as id to edit this blog:
+        </span>
+      </p>
+      <div id="content-weblog">
+        <metal:macro use-macro="context/weblog_macros/macros/list-entries"/>
+      </div>
+     <div tal:replace="structure provider:plone.belowcontentbody" />
+    </div>
+  </body>
+</html>
Index: /quintagroup.quills.extras/trunk/quintagroup/quills/extras/weblogfolder_patch.py
===================================================================
--- /quintagroup.quills.extras/trunk/quintagroup/quills/extras/weblogfolder_patch.py	(revision 585)
+++ /quintagroup.quills.extras/trunk/quintagroup/quills/extras/weblogfolder_patch.py	(revision 585)
@@ -0,0 +1,28 @@
+from zope.component.interface import interfaceToName
+from quills.core.interfaces import IPossibleWeblogEntry
+from quills.app.interfaces import IWeblogEnhancedConfiguration
+from quills.app.weblogentrybrain import WeblogEntryCatalogBrain
+
+
+def getEntries(self, maximum=None, offset=0, path=None):
+    """See IWeblog.
+    """
+    catalog, portal = self._setCatalog()
+    catalog._catalog.useBrains(WeblogEntryCatalogBrain)
+    weblog_config = IWeblogEnhancedConfiguration(self.context)
+    path = path or '/'.join(self.context.getPhysicalPath())
+    results = catalog(
+        object_provides=interfaceToName(portal, IPossibleWeblogEntry),
+        path={ 'query' : path,
+               'level' : 0, },
+        sort_on='effective',
+        sort_order='reverse',
+        review_state={ 'query'    : weblog_config.published_states,
+                       'operator' : 'or'})
+    return self._filter(results, maximum, offset)
+
+
+from Products.QuillsEnabled.adapters.folder import Folder2Weblog
+
+
+Folder2Weblog.getEntries = getEntries