Index: /quintagroup.transmogrifier.simpleblog2quills/trunk/README.txt
===================================================================
--- /quintagroup.transmogrifier.simpleblog2quills/trunk/README.txt	(revision 593)
+++ /quintagroup.transmogrifier.simpleblog2quills/trunk/README.txt	(revision 594)
@@ -35,5 +35,7 @@
     QuillsEnabled please edit import configuration file 'import.cfg' located in
     'quintagroup/transmogrifier/simpleblog2quills' folder (comments in that file 
-    will guide you through necessary modifications).
+    will guide you through necessary modifications) and install this product in
+    QuickInstaller (this will enable 'Large Folder' content type and change 
+    workflow settings for content types).
 
 Running tests
Index: /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/__init__.py
===================================================================
--- /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/__init__.py	(revision 593)
+++ /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/__init__.py	(revision 594)
@@ -1,1 +1,21 @@
-# i'm a package
+# register our extension profile if we have GenericSetup (Plone 2.5 or later)
+try:
+    # if we have GenericSetup product we don't need to register steps in python
+    import os
+    from Products.GenericSetup import EXTENSION
+    from Products.GenericSetup import profile_registry
+    from Products.CMFPlone.interfaces import IPloneSiteRoot
+
+    profile_path = os.path.join(os.path.split(__file__)[0], 'profiles/default')
+    profile_registry.registerProfile(
+        name="default",
+        title="quintagroup.transmogrifier.simpleblog2quills",
+        description="Extension profile for applying settings needed to migrate blog.",
+        path=profile_path,
+        product="quintagroup.transmogrifier.simpleblog2quills", # this is required
+        profile_type=EXTENSION,
+        for_=IPloneSiteRoot
+    )
+
+except ImportError:
+    pass
Index: /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/adapters.py
===================================================================
--- /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/adapters.py	(revision 593)
+++ /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/adapters.py	(revision 594)
@@ -40,5 +40,5 @@
                 root.removeChild(child)
         folder = doc.createElement('record')
-        folder.setAttribute('type', 'Folder')
+        folder.setAttribute('type', 'Large Plone Folder')
         folder.appendChild(doc.createTextNode(IMAGE_FOLDER))
         root.appendChild(folder)
Index: /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blog-largefolder.xsl
===================================================================
--- /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blog-largefolder.xsl	(revision 594)
+++ /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blog-largefolder.xsl	(revision 594)
@@ -0,0 +1,51 @@
+<xsl:stylesheet version="1.0" 
+     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+     xmlns:at="http://plone.org/ns/archetypes/"
+     xmlns:cmf="http://cmf.zope.org/namespaces/default/">
+
+<xsl:template match="/">
+    <xsl:for-each select="*">
+        <!-- matched 'metadata' element and we copy it -->
+        <xsl:copy select=".">
+            <xsl:for-each select="*|text()">
+                <xsl:choose>
+                    <!-- do some special with 'field' elements -->
+                    <xsl:when test="name()='field'">
+                        <xsl:apply-templates select="." />
+                    </xsl:when>
+                    <!-- change value of 'cmf:type' attribute -->
+                    <xsl:when test="name()='cmf:type'">
+                        <xsl:apply-templates select="." />
+                    </xsl:when>
+                    <!-- copy all other elements -->
+                    <xsl:otherwise>
+                        <xsl:copy-of select="."/>
+                    </xsl:otherwise>
+                </xsl:choose>
+            </xsl:for-each>
+        </xsl:copy>
+    </xsl:for-each>
+</xsl:template>
+
+<xsl:template match="at:field">
+    <xsl:choose>
+        <!-- next fields are omitted -->
+        <xsl:when test="@name='displayMode'" />
+        <xsl:when test="@name='displayItems'" />
+        <xsl:when test="@name='categories'" />
+        <xsl:when test="@name='allowTrackback'" />
+        <xsl:when test="@name='adminEmail'" />
+        <!-- copy all other elements -->
+        <xsl:otherwise>
+            <xsl:copy-of select="."/>
+        </xsl:otherwise>
+    </xsl:choose>
+</xsl:template>
+
+<xsl:template match="cmf:type">
+    <xsl:copy select=".">
+        <xsl:text>Large Plone Folder</xsl:text>
+    </xsl:copy>
+</xsl:template>
+
+</xsl:stylesheet>
Index: /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blogfolder-largefolder.xsl
===================================================================
--- /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blogfolder-largefolder.xsl	(revision 594)
+++ /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blogfolder-largefolder.xsl	(revision 594)
@@ -0,0 +1,48 @@
+<xsl:stylesheet version="1.0" 
+     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+     xmlns:at="http://plone.org/ns/archetypes/"
+     xmlns:cmf="http://cmf.zope.org/namespaces/default/">
+
+<xsl:template match="/">
+    <xsl:for-each select="*">
+        <!-- matched 'metadata' element and we copy it -->
+        <xsl:copy select=".">
+            <xsl:for-each select="*|text()">
+                <xsl:choose>
+                    <!-- do some special with 'field' elements -->
+                    <xsl:when test="name()='field'">
+                        <xsl:apply-templates select="." />
+                    </xsl:when>
+                    <!-- change value of 'cmf:type' attribute -->
+                    <xsl:when test="name()='cmf:type'">
+                        <xsl:apply-templates select="." />
+                    </xsl:when>
+                    <!-- copy all other elements -->
+                    <xsl:otherwise>
+                        <xsl:copy-of select="."/>
+                    </xsl:otherwise>
+                </xsl:choose>
+            </xsl:for-each>
+        </xsl:copy>
+    </xsl:for-each>
+</xsl:template>
+
+<xsl:template match="at:field">
+    <xsl:choose>
+        <!-- next fields are omitted -->
+        <xsl:when test="@name='existingCats'" />
+        <xsl:when test="@name='categories'" />
+        <!-- copy all other elements -->
+        <xsl:otherwise>
+            <xsl:copy-of select="."/>
+        </xsl:otherwise>
+    </xsl:choose>
+</xsl:template>
+
+<xsl:template match="cmf:type">
+    <xsl:copy select=".">
+        <xsl:text>Large Plone Folder</xsl:text>
+    </xsl:copy>
+</xsl:template>
+
+</xsl:stylesheet>
Index: /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/configure.zcml
===================================================================
--- /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/configure.zcml	(revision 593)
+++ /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/configure.zcml	(revision 594)
@@ -129,6 +129,13 @@
         source="marshall"
         from="Blog"
-        to="Folder"
-        file="blog-folder.xsl"
+        to="Large Plone Folder"
+        file="blog-largefolder.xsl"
+        />
+
+    <transmogrifier:stylesheet
+        source="marshall"
+        from="BlogFolder"
+        to="Large Plone Folder"
+        file="blogfolder-largefolder.xsl"
         />
 
Index: /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/import.cfg
===================================================================
--- /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/import.cfg	(revision 593)
+++ /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/import.cfg	(revision 594)
@@ -21,12 +21,12 @@
 key = _type
 
-BlogFolder = Folder
-
 # next options is for Quills (comment them if you are using QuillsEnabled)
 Blog = Weblog
+BlogFolder = Folder
 BlogEntry = WeblogEntry
 
 # next is for QuillsEnabled (uncomment them if you are using QuillsEnabled)
-# Blog = Folder
+# Blog = Large Plone Folder
+# BlogFolder = Large Plone Folder
 # BlogEntry = Document
 
Index: /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/profiles/default/metadata.xml
===================================================================
--- /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/profiles/default/metadata.xml	(revision 594)
+++ /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/profiles/default/metadata.xml	(revision 594)
@@ -0,0 +1,4 @@
+<?xml version="1.0"?>
+<metadata>
+  <version>0.1</version>
+</metadata>
Index: /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/profiles/default/types/Large_Plone_Folder.xml
===================================================================
--- /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/profiles/default/types/Large_Plone_Folder.xml	(revision 594)
+++ /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/profiles/default/types/Large_Plone_Folder.xml	(revision 594)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<object name="Large Plone Folder"
+   meta_type="Factory-based Type Information with dynamic views"
+   i18n:domain="plone" xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+ <property name="global_allow">True</property>
+</object>
Index: /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/profiles/default/workflows.xml
===================================================================
--- /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/profiles/default/workflows.xml	(revision 594)
+++ /quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/profiles/default/workflows.xml	(revision 594)
@@ -0,0 +1,14 @@
+<?xml version="1.0"?>
+<object name="portal_workflow" meta_type="Plone Workflow Tool">
+ <bindings>
+  <default>
+   <bound-workflow workflow_id="plone_workflow"/>
+  </default>
+  <type type_id="Folder">
+   <bound-workflow workflow_id="folder_workflow"/>
+  </type>
+  <type type_id="Large Plone Folder">
+   <bound-workflow workflow_id="folder_workflow"/>
+  </type>
+ </bindings>
+</object>