Index: quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/activator.py
===================================================================
--- quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/activator.py	(revision 594)
+++ quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/activator.py	(revision 612)
@@ -5,4 +5,7 @@
 from collective.transmogrifier.interfaces import ISection
 from collective.transmogrifier.utils import defaultMatcher
+
+from Products.CMFCore import utils
+from Products.CMFCore.WorkflowCore import WorkflowException
 
 try:
@@ -15,4 +18,6 @@
     pass
 
+from quintagroup.transmogrifier.simpleblog2quills.adapters import IMAGE_FOLDER
+
 class BlogActivatorSection(object):
     classProvides(ISectionBlueprint)
@@ -22,4 +27,5 @@
         self.transmogrifier = transmogrifier
         self.context = transmogrifier.context
+        self.wftool = utils.getToolByName(self.context, 'portal_workflow')
 
         self.pathkey = defaultMatcher(options, 'path-key', name, 'path')
@@ -42,4 +48,12 @@
                 yield item; continue
 
+            # pulish 'images' subfolder
+            images = getattr(obj, IMAGE_FOLDER, None)
+            if images is not None:
+                try:
+                    self.wftool.doActionFor(images, 'publish')
+                except WorkflowException:
+                    pass
+
             if not IWeblogEnhanced.providedBy(obj) and \
                 IPossibleWeblog.providedBy(obj):
Index: quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/adapters.py
===================================================================
--- quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/adapters.py	(revision 594)
+++ quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/adapters.py	(revision 612)
@@ -13,5 +13,5 @@
 from collective.transmogrifier.utils import defaultMatcher
 
-from quintagroup.transmogrifier.interfaces import IExportDataCorrector
+from quintagroup.transmogrifier.interfaces import IExportDataCorrector, IImportDataCorrector
 from quintagroup.transmogrifier.adapters.exporting import ReferenceExporter
 from quintagroup.transmogrifier.manifest import ManifestExporterSection
@@ -313,2 +313,47 @@
         while SITE_URLS: SITE_URLS.pop()
         IMAGE_PATHS.clear()
+
+class WorkflowImporter(object):
+    """ This adapter tries to convert all possible workflow histories to 
+        simple_publication_workflow history.
+    """
+    implements(IImportDataCorrector)
+
+    def __init__(self, context):
+        self.context = context
+
+    def __call__(self, data):
+        doc = minidom.parseString(data['data'])
+        wh = [i for i in doc.getElementsByTagName('cmf:workflow')]
+        if not wh:
+            # we don't have such workflow history
+            return data
+
+        wh = wh[0]
+        workflow_id = wh.getAttribute('id')
+        if workflow_id == 'simple_publication_workflow':
+            return data
+        wh.setAttribute('id', 'simple_publication_workflow')
+        if workflow_id == 'simpleblog_workflow':
+            self.fixSimpleBlogWorkflow(wh)
+        else:
+            self.fixWorkflow(wh)
+
+        data['data'] = doc.toxml('utf-8')
+        return data
+
+    def fixSimpleBlogWorkflow(self, wh):
+        for history in wh.getElementsByTagName('cmf:history'):
+            for var in history.getElementsByTagName('cmf:var'):
+                id_ = var.getAttribute('id')
+                value = var.getAttribute('value')
+                if id_ == 'review_state' and value == 'draft':
+                    var.setAttribute('value', 'private')
+
+    def fixWorkflow(self, wh):
+        for history in wh.getElementsByTagName('cmf:history'):
+            for var in history.getElementsByTagName('cmf:var'):
+                id_ = var.getAttribute('id')
+                value = var.getAttribute('value')
+                if id_ == 'review_state' and value == 'visible':
+                    var.setAttribute('value', 'published')
Index: quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blog-largefolder.xsl
===================================================================
--- quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blog-largefolder.xsl	(revision 594)
+++ quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blog-largefolder.xsl	(revision 612)
@@ -17,4 +17,10 @@
                     <xsl:when test="name()='cmf:type'">
                         <xsl:apply-templates select="." />
+                    </xsl:when>
+                    <!-- do some special with 'cmf:workflow_history' element -->
+                    <xsl:when test="name()='cmf:workflow_history'">
+                        <xsl:copy select=".">
+                            <xsl:apply-templates select="cmf:workflow" />
+                        </xsl:copy>
                     </xsl:when>
                     <!-- copy all other elements -->
@@ -49,3 +55,41 @@
 </xsl:template>
 
+<xsl:template match="cmf:workflow">
+    <xsl:copy select=".">
+        <!-- rename 'id' attribute -->
+        <xsl:attribute name="id">simple_publication_workflow</xsl:attribute>
+        <xsl:for-each select="*|text()">
+            <xsl:choose>
+                <!-- do some special with 'cmf:workflow_history' element -->
+                <xsl:when test="name()='cmf:history'">
+                    <xsl:copy select=".">
+                        <xsl:apply-templates select="cmf:var" />
+                    </xsl:copy>
+                </xsl:when>
+                <!-- copy all other elements -->
+                <xsl:otherwise>
+                    <xsl:copy-of select="."/>
+                </xsl:otherwise>
+            </xsl:choose>
+        </xsl:for-each>
+    </xsl:copy>
+</xsl:template>
+
+<xsl:template match="cmf:var">
+    <xsl:choose>
+        <xsl:when test="@value='visible'">
+            <xsl:copy select=".">
+                <xsl:attribute name="id">review_state</xsl:attribute>
+                <xsl:attribute name="type">str</xsl:attribute>
+                <xsl:attribute name="value">published</xsl:attribute>
+                <xsl:value-of select="." />
+            </xsl:copy>
+        </xsl:when>
+        <!-- copy all other elements -->
+        <xsl:otherwise>
+            <xsl:copy-of select="."/>
+        </xsl:otherwise>
+    </xsl:choose>
+</xsl:template>
+
 </xsl:stylesheet>
Index: quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blogentry-document.xsl
===================================================================
--- quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blogentry-document.xsl	(revision 594)
+++ quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blogentry-document.xsl	(revision 612)
@@ -69,8 +69,38 @@
     <xsl:copy select=".">
         <!-- rename 'id' attribute -->
-        <xsl:attribute name="id">plone_workflow</xsl:attribute>
-        <xsl:copy-of select="cmf:history"/>
+        <xsl:attribute name="id">simple_publication_workflow</xsl:attribute>
+        <xsl:for-each select="*|text()">
+            <xsl:choose>
+                <!-- do some special with 'cmf:workflow_history' element -->
+                <xsl:when test="name()='cmf:history'">
+                    <xsl:copy select=".">
+                        <xsl:apply-templates select="cmf:var" />
+                    </xsl:copy>
+                </xsl:when>
+                <!-- copy all other elements -->
+                <xsl:otherwise>
+                    <xsl:copy-of select="."/>
+                </xsl:otherwise>
+            </xsl:choose>
+        </xsl:for-each>
     </xsl:copy>
 </xsl:template>
 
+<xsl:template match="cmf:var">
+    <xsl:choose>
+        <xsl:when test="@value='draft'">
+            <xsl:copy select=".">
+                <xsl:attribute name="id">review_state</xsl:attribute>
+                <xsl:attribute name="type">str</xsl:attribute>
+                <xsl:attribute name="value">private</xsl:attribute>
+                <xsl:value-of select="." />
+            </xsl:copy>
+        </xsl:when>
+        <!-- copy all other elements -->
+        <xsl:otherwise>
+            <xsl:copy-of select="."/>
+        </xsl:otherwise>
+    </xsl:choose>
+</xsl:template>
+
 </xsl:stylesheet>
Index: quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blogfolder-largefolder.xsl
===================================================================
--- quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blogfolder-largefolder.xsl	(revision 594)
+++ quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/blogfolder-largefolder.xsl	(revision 612)
@@ -17,4 +17,10 @@
                     <xsl:when test="name()='cmf:type'">
                         <xsl:apply-templates select="." />
+                    </xsl:when>
+                    <!-- do some special with 'cmf:workflow_history' element -->
+                    <xsl:when test="name()='cmf:workflow_history'">
+                        <xsl:copy select=".">
+                            <xsl:apply-templates select="cmf:workflow" />
+                        </xsl:copy>
                     </xsl:when>
                     <!-- copy all other elements -->
@@ -46,3 +52,41 @@
 </xsl:template>
 
+<xsl:template match="cmf:workflow">
+    <xsl:copy select=".">
+        <!-- rename 'id' attribute -->
+        <xsl:attribute name="id">simple_publication_workflow</xsl:attribute>
+        <xsl:for-each select="*|text()">
+            <xsl:choose>
+                <!-- do some special with 'cmf:workflow_history' element -->
+                <xsl:when test="name()='cmf:history'">
+                    <xsl:copy select=".">
+                        <xsl:apply-templates select="cmf:var" />
+                    </xsl:copy>
+                </xsl:when>
+                <!-- copy all other elements -->
+                <xsl:otherwise>
+                    <xsl:copy-of select="."/>
+                </xsl:otherwise>
+            </xsl:choose>
+        </xsl:for-each>
+    </xsl:copy>
+</xsl:template>
+
+<xsl:template match="cmf:var">
+    <xsl:choose>
+        <xsl:when test="@value='visible'">
+            <xsl:copy select=".">
+                <xsl:attribute name="id">review_state</xsl:attribute>
+                <xsl:attribute name="type">str</xsl:attribute>
+                <xsl:attribute name="value">published</xsl:attribute>
+                <xsl:value-of select="." />
+            </xsl:copy>
+        </xsl:when>
+        <!-- copy all other elements -->
+        <xsl:otherwise>
+            <xsl:copy-of select="."/>
+        </xsl:otherwise>
+    </xsl:choose>
+</xsl:template>
+
 </xsl:stylesheet>
Index: quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/configure.zcml
===================================================================
--- quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/configure.zcml	(revision 594)
+++ quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/configure.zcml	(revision 612)
@@ -147,4 +147,10 @@
         />
 
+    <adapter
+        for="quintagroup.transmogrifier.simpleblog2quills.interfaces.IBaseObject"
+        provides="quintagroup.transmogrifier.interfaces.IImportDataCorrector"
+        factory=".adapters.WorkflowImporter"
+        name="marshall"
+        />
 
     <configure zcml:condition="installed Products.QuillsEnabled">
Index: quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/interfaces.py
===================================================================
--- quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/interfaces.py	(revision 594)
+++ quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/interfaces.py	(revision 612)
@@ -31,2 +31,7 @@
     """ Importing adapter
     """
+
+try:
+    from Products.Archetypes.interfaces import IBaseObject
+except ImportError:
+    from plone.app.transmogrifier.interfaces import IBaseObject
Index: quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/profiles/default/workflows.xml
===================================================================
--- quintagroup.transmogrifier.simpleblog2quills/trunk/quintagroup/transmogrifier/simpleblog2quills/profiles/default/workflows.xml	(revision 594)
+++ 	(revision )
@@ -1,14 +1,0 @@
-<?xml version="1.0"?>
-<object name="portal_workflow" meta_type="Plone Workflow Tool">
- <bindings>
-  <default>
-   <bound-workflow workflow_id="plone_workflow"/>
-  </default>
-  <type type_id="Folder">
-   <bound-workflow workflow_id="folder_workflow"/>
-  </type>
-  <type type_id="Large Plone Folder">
-   <bound-workflow workflow_id="folder_workflow"/>
-  </type>
- </bindings>
-</object>